Bug 81420 - Excessive use of text:style-name elements in content.xml in .ODT
Summary: Excessive use of text:style-name elements in content.xml in .ODT
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.4.2 release
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval
Depends on:
Blocks:
 
Reported: 2014-07-16 09:42 UTC by Zhivko
Modified: 2017-01-03 19:47 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zhivko 2014-07-16 09:42:36 UTC
I am getting something like:
<text:span text:style-name="T14">text1</text:span>
              <text:span text:style-name="T15">text2</text:span>
              <text:span text:style-name="T11">text3</text:span>
              <text:span text:style-name="T14">text4</text:span>
              <text:span text:style-name="T15">text5</text:span>
in content.xml in .ODT file for my document.


If I look at document it has 1 paragraph with text from text 1 to text4 in plain, and text5 in bold.

I tried copy paste same text (paste unformated text) and formating text5 as bold - but I still get such a lot of style-name elements in ODT.

What could cause such excessive use of style-name inside LibreOffice?
Comment 1 Jorendc 2014-07-16 19:35:20 UTC Comment hidden (obsolete)
Comment 2 Jorendc 2014-07-16 19:38:38 UTC
Ah wait, I can reproduce this. Ignore my brain fart.

I did forget to mark the last paragraph as bold.

Tested using Mac OSX 10.9 with LibreOffice Version: 4.4.0.0.alpha0+
Build ID: 7dd5f9308895644ae6ece56253c892046cc6ed5e
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-07-16_07:40:22
Comment 3 Jorendc 2014-07-16 19:39:09 UTC
Any chance we can transform this to an EasyHack?
Comment 4 Michael Stahl (CIB) 2014-12-03 14:03:19 UTC
i can't reproduce this, i get just 1 span for the bold word.

the most likely explanation for lots of different automatic styles in Writer is the RSID feature.
Comment 5 Jim Avera 2014-12-04 21:22:31 UTC
Regarding those spans for RSIDs, see also bug 86988
Comment 6 Robinson Tryon (qubit) 2015-12-13 11:21:22 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2017-01-03 19:47:38 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170103